import request from './request.js';
const getTypeList = async ({ alias }) => {
	const res = await request.get({ url: `/cms/type/sublist/${alias}` });
	return res.data;
}
const getArticleList = async data => {
	const res = await request.get({ url: `/cms/blog/wx/articleList`, data });
	return res.data;
}
const getArticleDetail = async ({ id }) => {
	const res = await request.get({ url: `/cms/blog/cms/detail/${id}` });
	return res.data;
}
const addBlogViews = async ({ id }) => {
	const res = await request.get({ url: `/cms/blog/cms/addBlogViews/${id}` });
	return res.data;
}
const getsublist = async ({ alias }) => {
	const res = await request.get({ url: `/cms/type/sublist/${alias}` });
	return res.data;
}
export default { getTypeList, getArticleList, getArticleDetail, addBlogViews, getsublist };